FeatureGate

List project audit events

Lists project-scoped audit events visible to the management automation key.

GEThttps://api.featuregate.dev/v1/projects/{projectId}/audit-events
Authenticate with a management automation key in the Authorization header.management:audit:read

Path parameters

projectIdstringrequired

Stable project_ identifier.

Pattern: ^project_.+

Query parameters

pageintegeroptional

One-based result page.

Default: 1Value: 1+

limitintegeroptional

Events per page.

Default: 50Value: 1-100

Request
sh
curl -X GET https://api.featuregate.dev/v1/projects/project_example/audit-events \
  -H "Authorization: Bearer fg_ak_test_0123456789abcdef0123456789abcdef0123456789abcdef"

Returns

auditEventsobject[]required
idstringrequired

Stable audit event identifier, prefixed with audit_.

Length: 1+

createdAtstringrequired

Event creation timestamp.

typestringrequired

Audit event type.

Length: 1+

organisationIdstringrequired

Owning organisation identifier.

Length: 1+

projectIdstring | nullrequired

Related project, when available.

Length: 1+

environmentIdstring | nullrequired

Related environment, when available.

Length: 1+

flagIdstring | nullrequired

Related flag, when available.

Length: 1+

flagEnvironmentConfigIdstring | nullrequired

Related flag-environment config, when available.

Length: 1+

apiKeyIdstring | nullrequired

Calling API key, when available.

Length: 1+

actorUserIdstring | nullrequired

Calling user, when available.

Length: 1+

metadataobjectrequired

Event-specific metadata.

pageintegerrequired

Current one-based page.

pageCountintegerrequired

Total number of pages.

pageSizeintegerrequired

Events per page.

totalCountintegerrequired

Total matching event count.

Example response · 200
json
{
  "auditEvents": [],
  "page": 1,
  "pageCount": 0,
  "pageSize": 50,
  "totalCount": 0
}

Responses

200A paginated project audit-event page.
400Validation failed.
401Authentication failed.
403The key is not allowed to access this resource.
429Rate limit exceeded.
500Unexpected server error.